// Class: Player
//
// Author: Alyce Brady
//
// Created on May 18, 2004
//
// License Information:
// This class is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation.
//
// This class is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

import edu.kzoo.grid.Grid;
import edu.kzoo.grid.Location;

/**
 *  Tic-Tac-Toe Game:<br>
 *
 *  A <code>Player</code> object represents a player in a grid-based
 *  game that acts in response to mouse clicks in the grid.
 *
 *  @author Alyce Brady
 *  @version May 18, 2004
 **/
public interface Player
{

    /** Responds to mouse press at the specified location in the
     *  specified grid.
     *      @return true if the player was able to respond to the
     *              mouse press (i.e., a mouse press in that
     *              location was valid); false otherwise
     **/
    public boolean respondToMousePress(Grid grid, Location loc);

}