// Class: TicTacToeApp
//
// Author: Alyce Brady
//
// Created on May 18, 2004
//
// License Information:
//   This class is free software; you can redistribute it and/or modify
//   it under the terms of the GNU General Public License as published by
//   the Free Software Foundation.
//
//   This class is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//   GNU General Public License for more details.

import java.awt.Color;

import javax.swing.JMenu;

import edu.kzoo.grid.display.DisplayMap;
import edu.kzoo.grid.display.TextCellDisplay;
import edu.kzoo.kgui.KHelpMenu;

/**
 *  Tic-Tac-Toe Game:<br>
 *
 *  The <code>TicTacToeApp</code> class provides the <code>main</code>
 *  method for a simple tic-tac-toe game.
 *
 *  @author Alyce Brady
 *  @version May 18, 2004
 **/
public class TicTacToeApp
{
    private static final String usualTitle = "Tic-Tac-Toe";
    private static final Color usualBgColor = Color.GRAY;
    private static final Color whiteWonBgColor =
                                        new Color(200, 100, 100);
    private static final Color blackWonBgColor = whiteWonBgColor;

    public static void main(String[] args)
    {
        DisplayMap.associate("edu.kzoo.grid.TextCell",
                             new TextCellDisplay());
        JMenu helpMenu = new KHelpMenu("Tic-Tac-Toe",
            "Your Name Here",
            "with assistance from (whom?)",
            "version date", "file:TicTacToeHelp.html");
        TicTacToeGUI gui = new TicTacToeGUI(usualTitle, helpMenu,
                                    usualBgColor,
                                    whiteWonBgColor,
                                    blackWonBgColor, 3,
                                    new TicTacToeGame());
    }
}
